.acariaempire.sheet.item.weapon {
    padding: 5px;
    min-width: 600px;
    max-width: 780px;
    min-height: 300px;
    max-height: 700px;
}

.acariaempire.sheet.item.weapon .ae-header {
    align-items: center;
    border-bottom: 1px solid #BBB;
}

.acariaempire.sheet.item.weapon .ae-name {
    height: 30px;
    padding: 0px;
    margin: 5px 15px 5px 0px;
    border: 0;
    line-height: 30px;
}

.acariaempire.sheet.item.weapon .ae-icon {
    flex: 0 0 50px;
    height: 60px;
    margin-right: 10px;
    border: none;
}

/*---------------------------------
  Available weapons
 ----------------------------------*/

.acariaempire.sheet.item.weapon .ae-body {
    min-height: 0;
    max-height: 590px;
    overflow: auto;
}

.acariaempire.sheet.item.weapon .choose-weapon-title {
    margin-top: 10px;
    margin-bottom: 0px;;
}

.acariaempire.sheet.item.weapon .available-base-weapon {
    align-items: center;
    margin: 5px;
    padding: 5px;
    min-width: 240px;
    max-width: 240px;
    border: 2px groove #f0f0e0;
}

.acariaempire.sheet.item.weapon .available-base-weapon .weapon-icon {
    border: none;
    margin: 0px 14px 0px 7px;
    flex: 0 0 60px;
    width: 60px;
    height: 60px;
}
  
.acariaempire.sheet.item.weapon .available-base-weapon .weapon-desc-part {
    justify-content: space-evenly;
}

.acariaempire.sheet.item.weapon .available-base-weapon .weapon-name {
    flex: 1;
}

/*---------------------------------
  Weapon description
 ----------------------------------*/

.acariaempire.sheet.item.weapon .debuffed-value {
    color: darkred;
}
.acariaempire.sheet.item.weapon .buffed-value {
    color: darkgreen;
}

.acariaempire.sheet.item.weapon .weapon-base-data {
    justify-content: space-between;
    align-items: center;
    margin-top: 10px;
}

.acariaempire.sheet.item.weapon .weapon-base-data .wa-link {
    word-break: break-word;
    white-space: normal;
}

.acariaempire.sheet.item.weapon .weapon-base-data .ae-col {
    min-width: 150px;
    text-align: center;
    margin: 2px 5px 2px 5px;
    border: 2px groove #BBB;
    align-items: center;
}

.acariaempire.sheet.item.weapon .weapon-description {
    min-height: 100px;
    height: 100px;
    max-height: 100px;
    overflow: auto;
}

.acariaempire.sheet.item.weapon .weapon-description .editor {
    min-height: 50px;
}


.acariaempire.sheet.item.weapon .ae-descline {
    line-height: 30px;
}
.acariaempire.sheet.item.weapon .ae-subsection {
    line-height: 35px;
    font-size: 1.2em;
    border-bottom: 2px groove #BBB;
    margin-bottom: 5px;
}

.acariaempire.sheet.item.weapon .choosing-elem-row {
    min-width: inherit;
}

.acariaempire.sheet.item.weapon .elem-icon {
    flex: 0 0 25px;
    max-height: 25px;
    max-width: 25px;
    margin: 0px 5px 5px 5px;
    border: none;
}
.acariaempire.sheet.item.weapon .elem-icon:hover {
    box-shadow: 0 0 5px darkblue inset;
    cursor: pointer;
}

.acariaempire.sheet.item.weapon .weapon-damage-grid {
    display: grid;
    grid-gap: 2px 5px;
    grid-template-columns: auto auto auto auto auto auto auto auto;
    padding: 5px 5px 5px 20px;
}

.acariaempire.sheet.item.weapon .weapon-damage-grid .item {
    text-align: center;
}

.acariaempire.sheet.item.weapon .weapon-damage-grid .item.header {
    color: midnightblue;
}

.acariaempire.sheet.item.weapon .weapon-damage-grid .item.title {
    color: midnightblue;
    text-align: left;
}

.acariaempire.sheet.item.weapon .weapon-affix-list  {
    padding-left: 20px;
}

.acariaempire.sheet.item.weapon .weapon-affix-list .wa-link.blue {
    color: darkblue;
    background-color: lightsteelblue;
}

.acariaempire.sheet.item.weapon .new-affixes {
    padding-left: 20px;
}

.acariaempire.sheet.item.weapon .new-affix-line {
    line-height: 30px;
    min-width: 200px;    
    max-width: 200px;    
}

